TELA(1)

NAME
tela - the tensor language

SYNOPSIS
tela [ -bfhsvV? ] [ -e code ] [ --batch ] [ --execute code ] [ --fast ] [ --help ] [ --silent ] [ --verbose ] [ --version ] [ inputfiles.t ]

DESCRIPTION
Tela is a numerical computing environment mainly targeted for numerical simulation pre- and postprocessing work. The language supports arbitrary rank arrays (hence the name, Tensor Language), and has powerful programming capabilities including F90 style vector notation. Two- and three-dimensional graphics is implemented by calling PlotMTV. The on-line help is intended to be the primary source of documentation. The command help gives help for individual reserved words, function names etc. The function docview() can be used to view the same documentation in various other formats, including user-friendly HTML files.

OPTIONS

--batch
    Quit after executing --execute options and named input files instead of entering interactive mode. User code can query this flag by calling BatchMode().

--execute code
    Execute code string before starting up.

--fast
    Do not source telainit.t on startup.

--help
    Give a short help message and make a successful exit.

--silent
    Suppress all unnecessary messages. User code can query this flag by calling SilentMode().

--verbose
    Set tela very verbose: list treecode and flatcode as generated. Usually it is better to set this mode temporarily by calling VerboseMode(on) because many messages are generated by the startup phase.

--version
    Print version number and make a succesful exit. Corresponding Tela function is version()P.

-b  Same as --batch.

-e code
    Same as --execute code.

-f  Same as --fast.

-h, -?
    Same as --help.

-s  Same as --silent.

-v  Same as --verbose.

-V  Same as --version.

ENVIRONMENT
TELAPATH is a list of directories, separated by colons, where tela should look for its scripts and help files. If TELAPATH is not set, a built-in default is used. If TELAPATH starts with a colon, it is effectively appended to the built-in default. This practive is highly recommended for normal users. TELAPATH_SYSTEM is read before TELAPATH and is processed similarly. By setting it, the system manager can e.g. override the compiled-in default. TELA_PLOTMTV gives the PlotMTV program to use. If not set, the name plotmtv is used.

FILES

*.t Tela source code, loaded with source().

*.ct
    C-tela source. C-tela is C++ equipped with Tela function header syntax. A preprocessor named ctpp turns C-tela into ordinary C++. Usually ctpp is accessed indirectly through telakka.

*.o Ordinary object files generated from *.ct files by telakka.

*.sgml
    Linuxdoc-SGML document file. Used by help function in tela. The Linuxdoc-SGML package can produce plain ASCII, LaTeX and HTML files out of SGML files.

*.txt
    Plain ASCII document/help files generated from *.sgml files.

*.dvi
    DVI document/help files generated from *.sgml files. These can be displayed by xdvi and turned into PostScript by dvips.

*.html
    HyperText Markup Language document/help files generated from *.sgml files. These files can be rendered with any e.g. NCSA xmosaic or Lynx, and the user can follow the cross references interactively. Because of this property, the HTML files are the preferred way to read Tela documentation.

telainit.t
    File that tela usually reads when starting up. It is searched in TELAPATH.

~/.telainit.t
    User-specific startup file which the system-wide telainit.t tries to source by default.

libtela.a
    The main kernel archive.

dataplot.ps
    PostScript file that PlotMTV creates when printing or pressing the "Save PS" button.

dataplot.gif
    GIF file that PlotMTV creates when pressing the "Save GIF" button.

BUGS
Bugs and suggestions should be emailed to <tela-bugs@fmi.fi> and <tela-suggestions@fmi.fi>, respectively. It is a known problem that the program sometimes core dumps on syntactically illegal source file. You can send reports on this problem also, especially if your input file is simple and the core dump is produced in a predictable way.

SEE ALSO
telakka(1), TeLa Kernel Konstruction Accessory.
m2t(1), Matlab to Tela translator.
plotmtv(1), the program responsible for graphics by Kenny Toh.

COPYRIGHT
Copyright 1994-1999, Pekka Janhunen.

AUTHORS
Pekka Janhunen <Pekka.Janhunen@fmi.fi>,
Finnish Meteorological Institute/
Dept. of Geophysics (FMI/GEO).